2019-10-16 14:47 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001987FSSCPFREDpublic2009-08-30 00:28
ReporterFUBAR-BDHR 
Assigned Tokarajorma 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.11 
Target VersionFixed in Version3.6.11 
Summary0001987: good secondary time crashes if used more then 10 times
DescriptionThere were some random crashes occurring in multi so I jumped in with the debugger as host. Not sure I caught the random bug but I hit one that should be reproducible all the time. Mission Cet-m05 - Doomsday. It scripts a lot of the bombing runs using good secondary time. Crash occurred as soon as event TC-II fired which gives good secondary time orders for attack on a second Aeolus. Problem is there are still good secondary time orders implemented against ships that are already destroyed so this exceeds the limit of 10.


Call stack:
     fs2_open_3_6_11d.exe!debug_int3(char * file=0x00e0bd88, int line=351) Line 760 C++
> fs2_open_3_6_11d.exe!ai_good_secondary_time(int team=0, int weapon_index=78, int max_fire_count=100, char * shipname=0x079323a4) Line 351 + 0x13 bytes C++
     fs2_open_3_6_11d.exe!sexp_good_secondary_time(int n=608) Line 10056 + 0x15 bytes C++
     fs2_open_3_6_11d.exe!eval_sexp(int cur_node=607, int referenced_node=-1) Line 16522 + 0x9 bytes C++
     fs2_open_3_6_11d.exe!eval_when(int n=603, int use_arguments=0) Line 6785 + 0xb bytes C++
     fs2_open_3_6_11d.exe!eval_sexp(int cur_node=599, int referenced_node=-1) Line 16021 + 0x16 bytes C++
     fs2_open_3_6_11d.exe!mission_process_event(int event=20) Line 913 + 0xb bytes C++
     fs2_open_3_6_11d.exe!mission_eval_goals() Line 1062 + 0x9 bytes C++
     fs2_open_3_6_11d.exe!game_simulation_frame() Line 4277 C++
     fs2_open_3_6_11d.exe!game_frame(int paused=0) Line 4693 C++
     fs2_open_3_6_11d.exe!game_do_frame() Line 5121 + 0x7 bytes C++
     fs2_open_3_6_11d.exe!game_do_state(int state=2) Line 6892 C++
     fs2_open_3_6_11d.exe!gameseq_process_events() Line 405 + 0x14 bytes C++
     fs2_open_3_6_11d.exe!game_main(char * cmdline=0x00151f0b) Line 7453 + 0x5 bytes C++
     fs2_open_3_6_11d.exe!WinMain(HINSTANCE__ * hInst=0x00400000, HINSTANCE__ * hPrev=0x00000000, char * szCmdLine=0x00151f0b, int nCmdShow=1) Line 7527 + 0x9 bytes C++
     fs2_open_3_6_11d.exe!__tmainCRTStartup() Line 263 + 0x2c bytes C
     fs2_open_3_6_11d.exe!WinMainCRTStartup() Line 182 C
     kernel32.dll!7c817067()
     [Frames below may be incorrect and/or missing, no symbols loaded for kernel32.dll]

Locals:

        weapon_index 78 int
        team 0 int
        max_fire_count 100 int
+ shipname 0x079323a4 "TC-II" char *
        index -858993460 int
        i 10 int

Ai_huge_fire_info:

- Ai_huge_fire_info 0x01bedfa0 struct huge_fire_info * Ai_huge_fire_info {team=0 weapon_index=79 max_fire_count=100 ...} huge_fire_info [10]
- [0] {team=0 weapon_index=79 max_fire_count=100 ...} huge_fire_info
        team 0 int
        weapon_index 79 int
        max_fire_count 100 int
+ shipname 0x01d3eb00 "VCv-I" char *
- [1] {team=0 weapon_index=79 max_fire_count=100 ...} huge_fire_info
        team 0 int
        weapon_index 79 int
        max_fire_count 100 int
+ shipname 0x01d3eb20 "VCv-II" char *
- [2] {team=1 weapon_index=74 max_fire_count=100 ...} huge_fire_info
        team 1 int
        weapon_index 74 int
        max_fire_count 100 int
+ shipname 0x01d3e980 "Yarkha" char *
- [3] {team=1 weapon_index=76 max_fire_count=100 ...} huge_fire_info
        team 1 int
        weapon_index 76 int
        max_fire_count 100 int
+ shipname 0x01d3e980 "Yarkha" char *
- [4] {team=1 weapon_index=65 max_fire_count=100 ...} huge_fire_info
        team 1 int
        weapon_index 65 int
        max_fire_count 100 int
+ shipname 0x01d3eb40 "Delta 1" char *
- [5] {team=1 weapon_index=65 max_fire_count=100 ...} huge_fire_info
        team 1 int
        weapon_index 65 int
        max_fire_count 100 int
+ shipname 0x01d3eb60 "Delta 2" char *
- [6] {team=1 weapon_index=65 max_fire_count=100 ...} huge_fire_info
        team 1 int
        weapon_index 65 int
        max_fire_count 100 int
+ shipname 0x01d3eb80 "Delta 3" char *
- [7] {team=0 weapon_index=79 max_fire_count=100 ...} huge_fire_info
        team 0 int
        weapon_index 79 int
        max_fire_count 100 int
+ shipname 0x01d3eba0 "VD-I" char *
- [8] {team=0 weapon_index=78 max_fire_count=100 ...} huge_fire_info
        team 0 int
        weapon_index 78 int
        max_fire_count 100 int
+ shipname 0x01d3ec00 "TC-I" char *
- [9] {team=0 weapon_index=79 max_fire_count=100 ...} huge_fire_info
        team 0 int
        weapon_index 79 int
        max_fire_count 100 int
+ shipname 0x01d3ec00 "TC-I" char *
Additional Information3.6.11 r5550.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes
There are no notes attached to this issue.
+Notes

-Issue History
Date Modified Username Field Change
2009-08-29 18:02 FUBAR-BDHR New Issue
2009-08-29 20:28 karajorma Status new => assigned
2009-08-29 20:28 karajorma Assigned To => karajorma
2009-08-30 00:28 karajorma Status assigned => resolved
2009-08-30 00:28 karajorma Fixed in Version => 3.6.11
2009-08-30 00:28 karajorma Resolution open => fixed
+Issue History